Errors trying to compile PHP for use with MySQL on Solaris 10


 
Thread Tools Search this Thread
Operating Systems Solaris Errors trying to compile PHP for use with MySQL on Solaris 10
# 1  
Old 01-06-2009
Errors trying to compile PHP for use with MySQL on Solaris 10

have installed and am using the GNU based tools from the Sunfreeware site to compile PHP. I already have Apache, MySQL, and Oracle compiled and working properly. Below is my configure string for my PHP build:

./configure --prefix=/usr/local/php5 \
--with-config-file-scan-dir=/usr/local/php5/php.d \
--with-apxs2=/var/apps/apache/bin/apxs \
--with-ldap \
--with-mysql=/var/apps/mysql \
--with-mysqli=/var/apps/mysql/bin/mysql_config \
--with-xsl=/usr/local/include/libxslt \
--with-ncurses \
--enable-xslt \
--with-xslt-sablot \
--with-bz2=/usr \
--with-gd \
--with-gdbm=/usr/local/lib \
--with-openssl \
--with-imap=/usr/local/imap-2006e \
--with-imap-ssl \
--with-freetype-dir=/usr/local/include/freetype2/freetype/freetype.h \
--with-expat-dir \
--with-tiff-dir \
--with-zlib \
--with-jpeg-dir=/usr/local/include/jpeglib.h \
--with-png-dir=/usr/include/libpng12/png.h \
--with-mcrypt \
--with-curl \
--with-curlwrappers \
--with-gettext \
--disable-short-tags \
--disable-debug \
--enable-calendar \
--enable-ctype \
--enable-discard-path \
--enable-exif \
--enable-ftp \
--enable-memory-limit \
--enable-sysvem \
--enable-sysvshm \
--enable-gd-native-ttf \
--enable-soap \
--enable-shmop \
--enable-sockets \
--enable-xslt \
--enable-mbstring \
--with-sqlite=shared \
--with-pdo-sqlite=shared \
--with-pdo-mysql=shared,/var/apps/mysql \
--enable-pdo=shared \
--enable-bcmath \
--with-oci8=shared


I have ld, make, and various tools linked to /usr/local/bin/<toolname>. The configure string completes with no issue and the make runs for about 30 minutes before it stops with the following warnings/errors:

/usr/ccs/bin/ld: warning: libssl.so.0.9.8, needed by /usr/local/lib/libldap.so, may conflict with libssl.so.0.9.7
/usr/ccs/bin/ld: warning: libssl.so.0.9.8, needed by /usr/local/lib/libldap.so, may conflict with libssl.so.0.9.7
/usr/ccs/bin/ld: warning: libssl.so.0.9.8, needed by /usr/local/lib/libldap.so, may conflict with libssl.so.0.9.7
/usr/ccs/bin/ld: warning: libssl.so.0.9.8, needed by /usr/local/lib/libldap.so, may conflict with libssl.so.0.9.7
/usr/ccs/bin/ld: warning: libssl.so.0.9.8, needed by /usr/local/lib/libldap.so, may conflict with libssl.so.0.9.7
/usr/ccs/bin/ld: warning: libssl.so.0.9.8, needed by /usr/local/lib/libldap.so, may conflict with libssl.so.0.9.7
/usr/ccs/bin/ld: warning: libcrypto.so.0.9.8, needed by /usr/local/lib/libldap.so, may conflict with libcrypto.so.0.9.7
/usr/ccs/bin/ld: warning: libcrypto.so.0.9.8, needed by /usr/local/lib/libldap.so, may conflict with libcrypto.so.0.9.7
/usr/ccs/bin/ld: warning: libcrypto.so.0.9.8, needed by /usr/local/lib/libldap.so, may conflict with libcrypto.so.0.9.7
/usr/ccs/bin/ld: warning: libcrypto.so.0.9.8, needed by /usr/local/lib/libldap.so, may conflict with libcrypto.so.0.9.7
/usr/ccs/bin/ld: warning: libcrypto.so.0.9.8, needed by /usr/local/lib/libldap.so, may conflict with libcrypto.so.0.9.7
/usr/ccs/bin/ld: warning: libcrypto.so.0.9.8, needed by /usr/local/lib/libldap.so, may conflict with libcrypto.so.0.9.7

<snip>....

/var/apps/php-5.2.5/ext/mysqli/mysqli_nonapi.c:209: undefined reference to `mysql_sqlstate'
/var/apps/php-5.2.5/ext/mysqli/mysqli_nonapi.c:200: undefined reference to `mysql_set_server_option'
/var/apps/php-5.2.5/ext/mysqli/mysqli_nonapi.c:212: undefined reference to `mysql_set_server_option'
ext/mysqli/.libs/mysqli_nonapi.o: In function `zif_mysqli_query':
/var/apps/php-5.2.5/ext/mysqli/mysqli_nonapi.c:251: undefined reference to `mysql_set_server_option'
ext/mysqli/.libs/mysqli_nonapi.o: In function `zif_mysqli_get_warnings':
/var/apps/php-5.2.5/ext/mysqli/mysqli_nonapi.c:298: undefined reference to `mysql_warning_count'
ext/mysqli/.libs/mysqli_nonapi.o: In function `zif_mysqli_stmt_get_warnings'
/var/apps/php-5.2.5/ext/mysqli/mysqli_warning.c:195: undefined reference to `mysql_warning_count'
collect2: ld returned 1 exit status
make: *** [sapi/cli/php] Error 1:

There are many, many more "undefined reference" messages all mysql related.

Here is my environment and crle output:

LD_LIBRARY_PATH=/usr/local/ssl/lib:/usr/local/lib:/usr/local/BerkeleyDB.4.2/lib:/var/apps/mysql/lib/mysql

PATH=/usr/local/bin:/usr/bin:/usr/sbin:/usr/local/sbin:/opt/sfw/bin:/usr/local/ssl/bin:/usr/ucb:/usr/ccs/bin:/opt/VRTS/bin:/etc:/opt/EMCpower/bin:/opt/EMCpower/bin/sparcv9:/etc/emc/bin:/opt/VRTSagents/ha/bin:/usr/local/include:/usr/include:/usr/platform/`uname -i`/sbin:/var/apps/mysql/bin:/var/apps/mysql/include/mysql:/opt/RICHPse/bin:/usr/local/php5/bin:/opt/sfw/sbin

crle output
Configuration file [version 4]: /var/ld/ld.config
Default Library Path (ELF): /lib:/usr/lib:/usr/local/lib
Trusted Directories (ELF): /lib/secure:/usr/lib/secure (system default)

Any ideas as to how I can get around the MySQL errors, etc. would be appreciated.
sunsysadm2003
# 2  
Old 01-06-2009
are you running mysqli ? if not don't compile php with it.
# 3  
Old 01-06-2009
Use blastwave. I was having trouble with the SunFreeware site, especially one of the required packages for PHP wasn't at the appropriate version on SFW. I removed all the SFW packages and went to http://www.blastwave.org. It does package dependencies just like a Linux distro and it was quite seamless when I did the installation on one of our Virtual Solaris machines.

Carl
Login or Register to Ask a Question

Previous Thread | Next Thread

10 More Discussions You Might Find Interesting

1. Solaris

Compile PHP as an Apache module on Solaris

Hi, I need to install php 5.5.30 as an apache (2.4.17) module on Solaris 10. Please any help is wellcome. Some aditional info: /usr/sfw/bin/gcc -v Reading specs from /usr/sfw/lib/gcc/sparc-sun-solaris2.10/3.4.3/specs bash-3.2# g++ -v Reading specs from... (0 Replies)
Discussion started by: lbslbs
0 Replies

2. Red Hat

I want to install/compile php with mysql.

I have removed php-5.1.6-27.el5 from our system. Because I installed it without mysql before. How can I install php together with mysql. # rpm -qa | grep mysql* libdbi-dbd-mysql-0.8.1a-1.2.2 mysql-5.0.77-4.el5_4.2 mysql-server-5.0.77-4.el5_4.2 mysql-connector-odbc-3.51.26r1127-1.el5 ##... (5 Replies)
Discussion started by: getrue
5 Replies

3. Solaris

Compile PHP 5.3.6 with MySql on Sun Blade 1500 Solaris 10

Hello, I'm trying to compile PHP 5.3.6 with Apache2 and MySql 5.5.12. I hit a problem that I can't seem to resolve by myself and I could not find a solution on the web. It looks like Apache and MySql installed ok, I can start/stop them with no problem. When I try to compile PHP the... (4 Replies)
Discussion started by: pn8830
4 Replies

4. Solaris

Compile php with curl on solaris 10 question

I have curl compiled into /usr/local. I needed to install another version into /usr/local/curl-7.19.5 and compile php using that directory. I believe I had done that but an ldd run against php shows it is using /usr/local/lib. I have my configure script below showing how it was built and php -i... (1 Reply)
Discussion started by: csgonan
1 Replies

5. Solaris

DBI with MySQL client library compile on Solaris

how dow you complie perl module DBI with mysql from /usr/local/mysql/bin keeps going to mysql client for /usr/sfw/bin is it the LD_PATH ???...:confused: error is # perl login.cgi DBI connect('customers;mysql_socket=/tmp/mysql.sock:localhost','root',...) failed: Client does not... (1 Reply)
Discussion started by: photon
1 Replies

6. Solaris

PHP 5.3 compile on Solaris 10 : make distclean :: fatal error

I'm trying to install PHP 5.3 on Solaris 10 . I'm using etc/apache2 and installed mysql 5.1.39. When I tried to compile PHP 5.3, with the following configure text, ./configure --with-mysql=/usr/local/mysql \ --with-mysqli=/usr/local/mysql/bin/mysql_config --with-zlib-dir=/usr/local \... (21 Replies)
Discussion started by: ppa108
21 Replies

7. Solaris

Compile errors on Solaris 10 (missing libwrap)

I'm trying to compile tacacs+-F4.0.4.18 on Solaris 10 (sparc based server). It fails during the "./configure" phase with the following error: checking whether to use libwrap... yes configure: error: Could not find libwrap. You must first install tcp_wrappers. I do a have tcpwrappers... (4 Replies)
Discussion started by: pingmeback
4 Replies

8. UNIX for Dummies Questions & Answers

Errors while executing mysql cmds in SUn solaris server

Hi All, I am using mysql at sun solaris unix(Hp) server. I logged into mysql server with root as user. its logged in properly. Then i used 'show databases' mysql command. its display all the available databases. for example mysql > show databases; It displayed as follows. exampledb1... (1 Reply)
Discussion started by: dbsurf
1 Replies

9. AIX

Compile errors because of the ras.h file

I recently compile some code in 32 bit mode on a AIX 5.3 server that has its kernal set to 64 bit mode. The compile was successful and the code works great. That being the case I use the model of the successful makefile on some other code but ended up getting errors that looked like this...... ... (2 Replies)
Discussion started by: morrisey
2 Replies

10. Solaris

error: compile 64 bit mysql on Solaris 10

I'm trying to build 64 bit mysql-5.0.37 on Solaris 10. CFLAGS="-O3" CXX='gcc -m64 -mcpu=v9' CXXFLAGS="-O3 -felide-constructors -fno-exceptions -fno-rtti" ./configure -disable-shared --prefix=/usr/local/mysql --datadir=/home1/mysql_data --with-mysqld-user=mysql ... (0 Replies)
Discussion started by: csross
0 Replies
Login or Register to Ask a Question

Featured Tech Videos